Name:		packmol
Version:	13.243
Release:	1%{?dist}
Summary:	Packing optimization for molecular dynamics simulations
Group:		Applications/Engineering
License:	GPLv2+
URL:		http://www.ime.unicamp.br/~martinez/packmol/
Source0:	http://packmol.googlecode.com/files/packmol-%{version}.tar.gz
# CMake file for compiling project, sent upstream.
Source1:	packmol-CMakeLists.txt
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake
BuildRequires:	gcc-gfortran

%description
Packmol creates an initial point for molecular dynamics simulations by
packing molecules in defined regions of space. The packing guarantees
that short range repulsive interactions do not disrupt the
simulations.

The great variety of types of spatial constraints that can be
attributed to the molecules, or atoms within the molecules, makes it
easy to create ordered systems, such as lamellar, spherical or tubular
lipid layers.

The user must provide only the coordinates of one molecule of each
type, the number of molecules of each type and the spatial constraints
that each type of molecule must satisfy.

The package is compatible with input files of PDB, TINKER, XYZ and
MOLDY formats.


%prep
%setup -q -n %{name}
cp -a %{SOURCE1} CMakeLists.txt
find . -name \*.o -delete

%build
export FC=gfortran

mkdir ser;cd ser
%cmake -DUSE_OPENMP=OFF .. 
make %{?_smp_mflags}
cd ..

# Parallel version segfaults; reported upstream.
#mkdir par; cd par
#cmake -DUSE_OPENMP=ON .. 
#make %{?_smp_mflags}
#cd ..


%install
rm -rf %{buildroot}
install -D -p -m 755 ser/packmol %{buildroot}%{_bindir}/packmol
#install -D -p -m 755 par/ppackmol %{buildroot}%{_bindir}/ppackmol
install -D -p -m 755 solvate.tcl %{buildroot}%{_bindir}/packmol_solvate

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE COPYING
%{_bindir}/packmol
#%{_bindir}/ppackmol
%{_bindir}/packmol_solvate

%changelog
* Thu Sep 05 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 13.243-1
- Update to 13.243.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2.023-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2.023-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2.023-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 23 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1.2.023-1
- Update to 1.1.2.023.

* Sat Jan 21 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1.2.017-1
- Update to 1.1.2.017.

* Tue Sep 27 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1.1.258-1
- Initial release.
